/* TABLE OF CONTENTS

    Base

*/

/* INFO

    This file requires the css prefix .sidebar (except .mobile and .showing)
    This css file handles the styling for the sidebar

*/

/* [START] BASE */
.sidebar{
    width: 20px;
    height: 100vh;
    max-height: 100vh;
}

.sidebar-component-container {
    transition: 0.4s !important;
}

.mobile .showing{
    width: 100vw !important;
}
.showing{
    width: 260px;
}

.sidebar .openSidebarButton{
    position: absolute;
    left: 0px;
    top: 0px;
    height: 100vh;
    width: 20px;
    background-color: var(--sidebar-0) !important;
}
.sidebar .openSidebarButton:hover{
    color: var(--sidebar-8) !important;
}
.sidebar .toggleButton{
    width: 20px;
    height: 20px;
    position: absolute;
    left: 0px;
    top: 50%;
    transform: translate(0, -50%);
    color: var(--sidebar-8) !important;
}

.sidebar .sidebar-content{
    /* width: 260px; */
    width: 100%;
    min-width: 260px;
    height: 100vh;
    float:right;
    position: relative;
    right: 20px;
    top: 0;
    background-color: var(--sidebar-0);
    z-index: 100;
    padding: 25px auto;
}
.showing .sidebar-content{
    right: 0px;
}

.sidebar .close{
    position: absolute;
    right: 5px;
    top: 5px;
    font-size: 1.2em;
    color: var(--sidebar-8) !important;
    text-shadow: 0 1px 0 var(--sidebar-8) !important;
    opacity: 1;
}
.sidebar .close:hover{
    color: var(--sidebar-8) !important;
}

.sidebar .logo{
    display: block;
    margin: 0px auto;
    width: calc(100% - 50px);
    max-height: 50px;
    min-height: 50px;
    object-fit: scale-down;
}
.sidebar .logo:hover {
    cursor: pointer;
}

.sidebar .no-logo-company{
    display: block;
    margin: 0px auto;
    width: calc(100% - 50px);
    max-height: 50px;
    min-height: 50px;
    text-align: center;
}
.sidebar .no-logo-company i{
    color: #AAAAAA;
    font-size: 30px;
}
.sidebar .no-logo-company p{
    color: #AAAAAA;
    font-size: 17px;
    font-weight: 600;
    line-height: 0.9;
}
.sidebar .no-logo-company:hover {
    cursor: pointer;
}

.sidebar .no-logo-user{
    display: block;
    width: calc(100% - 20px);
    max-height: 50px;
    min-height: 50px;
    text-align: center;
}
.sidebar .no-logo-user i{
    color: #AAAAAA;
    font-size: 60px;
}

.sidebar .with-border{
    border-top: 1px solid var(--sidebar-7) !important;
    border-bottom: 1px solid var(--sidebar-7) !important;
}

.with-border
.input-group
.input-group-append
.input-group-text{
    background-color: var(--icon-0) !important;
    color: var(--icon-1) !important;
}

.sidebar .user-picture{
    width: 35%;
    z-index: 9999;
}
.sidebar .user-picture img{
    width: 75px;
    height: 75px;
    border-radius: 50%;
    object-fit: cover;
    object-position: center right;
}

.sidebar .user-info{
    max-width: 65%;
    color: var(--sidebar-1) !important;
    font-size: 12px;
}
.sidebar .user-info span{
    display:block;
    word-break: break-all;
}
.sidebar .user-info span:first-child{
    font-size: 16px;
    color: var(--sidebar-1) !important;
}

.sidebar .page-container{
    overflow-y: auto;
    max-height: calc(100vh - 320px);
}

.sidebar .page-category > p{
    color: var(--sidebar-2) !important;
    font-weight: bold;
}

.sidebar .page-icon{
    background-color: var(--icon-0) !important;
    border-radius: 5px;
    text-align: center;
    display: inline-block;
    width: 30px;
    height: 30px;
    text-align: center;
}
.sidebar .page-icon i{
    color: var(--icon-1) !important;
    line-height: 30px;
}
.sidebar .page-title{
    display: inline-block;
    padding-left: 15px;
    width: calc(100% - 50px);
    color: var(--sidebar-3) !important;
}
.sidebar .page-arrow{
    display: inline-block;
}
.sidebar .page-arrow i{
    color: var(--sidebar-4) !important;
}

.sidebar .page-category .page:hover .page-icon,
.sidebar .page-category .active .page-icon {
    background-color: var(--icon-2) !important;
}
.sidebar .page-category .page:hover .page-icon i,
.sidebar .page-category .active .page-icon i {
    color: var(--icon-3) !important;
}
.sidebar .page-category .page:hover .page-title,
.sidebar .page-category .active .page-title {
    color: var(--sidebar-5) !important;
}
.sidebar .page-category .page:hover .page-arrow i,
.sidebar .page-category .active .page-arrow i {
    color: var(--sidebar-6) !important;
}

.sidebar .active{
    cursor: pointer !important;
}

.sidebar .footer-container{
    position: absolute;
    bottom: 0px;
    left: 0px;
    right: 0px;
    font-size: 14px;
    justify-content: space-evenly;
    background-color: var(--sidebar-9) !important;
    height: 40px;
}
.sidebar .footer-container .badge{
    position: absolute;
    right: -10px;
    top: 5px;
    background-color: var(--icon-0) !important;
    color: var(--icon-1) !important;
}

.sidebar .footer-icon{
    position: relative;
}
.sidebar .footer-icon i{
    color: var(--icon-4) !important;
    line-height: 40px;
    font-size: 1.3em;
}
.sidebar .footer-icon:hover i{
    color: var(--sidebar-5) !important;
}

/* width */
.sidebar ::-webkit-scrollbar {
  width: 5px;
}

/* Track */
.sidebar ::-webkit-scrollbar-track {
    background-color: grey !important;
}
/* Handle */
.sidebar ::-webkit-scrollbar-thumb {
    background-color: var(--sidebar-0) !important;
}
/* Handle on hover */
.sidebar ::-webkit-scrollbar-thumb:hover {
    background-color: var(--sidebar-1) !important;
}

/* [END] BASE */
